## debian-edu-config 1.448

=== Makefile ===
PACKAGE = debian-edu-config

PROGS = \
	debian-edu-ldapserver \
	ltsp-arch-debian-edu \
	update-ini-file

SPROGS = cfengine-debian-edu \
	debian-edu-fsautoresize \
	debian-edu-hd-warn \
	debian-edu-hwsetup \
	debian-edu-ltsp \
	debian-edu-ltsp-audiodivert \
	debian-edu-pxeinstall \
	debian-edu-restart-services \
	debian-edu-test-install \
	debian-edu-update-netblock \
	snakeoil-on-ice 

INSTALL     = install -D -p -m 755
INSTALL_DATA= install -D -p -m 644

prefix     = /usr/local
sysconfdir = /etc
cfdir      = $(sysconfdir)/cfengine/debian-edu
bindir     = $(prefix)/bin
sbindir    = $(prefix)/sbin
docdir     = $(prefix)/share/doc/$(PACKAGE)
mandir     = $(prefix)/share/man
gosadir    = $(sysconfdir)/gosa
ldapdir    = $(sysconfdir)/ldap
schemadir  = $(ldapdir)/schema
dhcpdir   = $(sysconfdir)/dhcp
libdir     = /usr/lib
pkglibdir  = $(libdir)/debian-edu-config
mailcapdir = $(libdir)/mime/packages
vardir     = /var
wwwdir     = /etc/debian-edu/www


CFFILES = \
	cf.adduser \
	cf.apache2 \
	cf.apt \
	cf.cfengine \
	cf.cups \
	cf.dhcpserver \
	cf.exim \
	cf.imap \
	cf.homes \
	cf.iceweasel \
	cf.inetd \
	cf.kdm \
	cf.krb5client \
	cf.ldapserver \
	cf.ldapclient \
	cf.bind \
	cf.ltsp \
	cf.pxeinstall \
	cf.lwat \
	cf.fstab \
	cf.mplayer \
	cf.nagios3 \
	cf.ntp \
	cf.samba \
	cf.squid \
	cf.syslog \
	cf.sysstat \
	cf.testsetup \
	cfd.conf \
	cfengine.conf

CFBINFILES = \
	cfd \
	cfrunhosts.pl

# Files to install in /etc/
SYSCONFFILES = \
	asound.conf \
	apt/apt.conf.d/90squid \
	apt/apt.conf.d/99-edu-prefer-iceweasel \
	bind/named.conf.ldap2zone \
	bind/db.intern \
	bind/db.10.in-addr.arpa. \
	bind/db.subnet00.intern. \
	bind/db.subnet01.intern. \
	bind/db.0.168.192.in-addr.arpa. \
	bind/db.1.168.192.in-addr.arpa. \
	X11/Xsession.d/05debian-edu-truncate-xerrorlog \
	X11/Xsession.d/10debian-edu-one-login-per-host \
	desktop-profiles/debian-edu-config.listing \
	debian-edu/hd-warn.conf \
	debian-edu/nightkill.conf \
	debian-edu/lts.conf.dist \
	default/munin-node \
	cfengine/cfservd.conf \
	cfengine/update.conf \
	cfengine/inputs/cfagent.conf \
	cups/cupsd-debian-edu.conf \
	dhcp/dhclient-exit-hooks.d/wpad-proxy-update \
	dhcp/dhcpd-debian-edu.conf \
	dhcp/dhclient-debian-edu.conf \
	exim4/exim-ldap-client-v4.conf \
	exim4/exim-ldap-server-v4.conf \
	filesystems \
	gosa/gosa.conf \
	php5/apache2/php-debian-edu.ini \
	insserv/overrides/kdm \
	insserv/overrides/ntp \
	insserv.conf.d/debian-edu-config \
	ldap/rootDSE-debian-edu.ldif \
	ldap/slapd-squeeze_debian-edu.conf \
	ldap/ssl/slapd-cert.cnf \
	samba/netlogon/1stlogon/1stlogon.bat \
	samba/netlogon/config/get_time.bat \
	samba/netlogon/config/penguin.bat \
	samba/netlogon/config/setglobals.bat \
	samba/netlogon/config/standarddrives-students.bat \
	samba/netlogon/config/standarddrives-teachers.bat \
	samba/netlogon/debian-edu-login.bat \
	samba/netlogon/_default_/default.bat \
	samba/netlogon/install/shortcut.vbs \
	samba/netlogon/logon-admins.bat \
	samba/netlogon/logon-jradmins.bat \
	samba/netlogon/logon-students.bat \
	samba/netlogon/logon-teachers.bat \
	samba/netlogon/mozilla/firefox/prefs.js \
	samba/netlogon/mozilla/mkmozapd.bat \
	samba/netlogon/mozilla/profiles.ini.FIREFOX \
	samba/netlogon/mozilla/profiles.ini.THUNDERBIRD \
	samba/netlogon/registry/proxy-ie/proxy-settings-hkcu.reg \
	samba/netlogon/win7+samba_domain-membership/DownloadWinRessourceKits.bat \
	samba/netlogon/win7+samba_domain-membership/README_Win7-Domain-Membership.txt \
	samba/netlogon/win7+samba_domain-membership/SeSystemTimePrivilege.bat \
	samba/netlogon/win7+samba_domain-membership/Win7_Samba3DomainMember.reg \
	samba/smb-debian-edu-client.conf \
	samba/smb-debian-edu.conf \
	samba/smb-winbind-debian-edu.conf \
	security/pam_mount-winbind-debian-edu.conf \
	security/pam_mount-stateless-debian-edu.conf \
	smbldap-tools/smbldap_bind.conf \
	smbldap-tools/smbldap.conf \
	sssd/sssd-debian-edu.conf \
	xdg/autostart/welcome-webpage.desktop \
	lsb-release \
	apache2/mods-available/debian-edu-userdir.conf \
	apache2/sites-available/debian-edu-default \
	apache2/sites-available/debian-edu-ssl-default \
	apache2/conf.d/debian-edu-config-doc \
	nagios3/debian-edu/cgi.cfg \
	nagios3/debian-edu/commands.cfg \
	nagios3/debian-edu/contactgroups.cfg \
	nagios3/debian-edu/contacts.cfg \
	nagios3/debian-edu/dependencies.cfg \
	nagios3/debian-edu/htpasswd.users \
	nagios3/debian-edu/escalations.cfg \
	nagios3/debian-edu/hostextinfo.cfg \
	nagios3/debian-edu/hostgroups.cfg \
	nagios3/debian-edu/hosts.cfg \
	nagios3/debian-edu/host_templates.cfg \
	nagios3/debian-edu/nagios.cfg \
	nagios3/debian-edu/resources.cfg \
	nagios3/debian-edu/serviceextinfo.cfg \
	nagios3/debian-edu/servicegroups.cfg \
	nagios3/debian-edu/services.cfg \
	nagios3/debian-edu/service_templates.cfg \
	nagios3/debian-edu/timeperiods.cfg \
	munin/debian-edu-munin-node.conf \
	polkit-1/localauthority.conf.d/80-edu-admin.conf \
	powerdns/pdns.d/pdns-debian-edu.conf\
	dbus-1/system.d/hal-debian-edu.conf

LIBFILES = \
	mime/packages/debian-edu-mailcap

SYSCONFSCRIPTS = \
	ltspfs/mounter.d/edu-notify \
	mklocaluser.d/20-debian-edu-config \
	NetworkManager/dispatcher.d/02debian-edu-config \
	shutdown-at-night/clients-generator \
	resolvconf/update.d/bind-debian-edu \
	resolvconf/update.d/ltsp-chroots \
	X11/Xsession-debian-edu \
	samba/smbaddclient.sh \
	samba/smbldap-machineadd-gosa

SCHEMAS = \
	samba.schema \
	dhcp.schema \
	dnsdomainaux.schema \
	ltspclientaux.schema \
	eduorg-200210-openldap.schema \
	eduperson-200806-openldap.schema \
	kerberos.schema \
	noreduperson-1.5-openldap.schema \
	samba3.schema \
	sudo.schema \
	trust.schema \
	gosystem.schema \
	gofon.schema \
	goto.schema \
	gosa-samba3.schema \
	gofax.schema \
	goserver.schema \
	goto-mime.schema

LDIFS = \
	root.ldif \
	autofs.ldif \
	ipnetworks.ldif \
	netgroup.ldif \
	samba.ldif \
	sudo.ldif \
	krb5.ldif \
	ltsp.ldif \
	gosa.ldif \
	gosa-server.ldif

LDAPPROGRAMS = \
	ldap-add-host-to-netgroup \
	ldap-add-user-to-group \
	ldap-createuser-krb5 \
	ldappasswd2 \
	ldap2netgroup \
	ldap-debian-edu-install \
	ldap-server-getcert \
	mkslapdcert \
	sitesummary2ldapdhcp

WWWFILES = \
	index.html.ca \
	index.html.de \
	index.html.en \
	index.html.es \
	index.html.fr \
	index.html.it \
	index.html.nb \
	index.html.nl \
	index.html.pt \
	index.html.ru \
	index.html.zh \
	skl-ren_css.css \
	logo-trans.png \
	wpad.dat

KIOSKFILES = \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kalzium.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/chguserpw.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kmplot.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kstars.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/ooo-impress.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/ooo-writer.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/gcompris.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/gimp-2.2.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kgeography.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/stopmotion.desktop \
	share/debian-edu/students/share/config/kdeglobals \
	share/debian-edu/students/share/config/konqiconviewrc \
	share/debian-edu/students/share/config/uiserverrc \
	share/debian-edu/students/share/services/update_ksycoca \
	share/debian-edu/students/share/config/menus/applications.menu \
	share/debian-edu/students/share/config/menus/kde-applications.menu \
	share/debian-edu/students/share/applications/kalzium.desktop \
	share/debian-edu/students/share/applications/kbruch.desktop \
	share/debian-edu/students/share/applications/klatin.desktop \
	share/debian-edu/students/share/applications/kmplot.desktop \
	share/debian-edu/students/share/applications/kpercentage.desktop \
	share/debian-edu/students/share/applications/kstars.desktop \
	share/debian-edu/students/share/applications/kturtle.desktop \
	share/debian-edu/students/share/applications/kvoctrain.desktop \
	share/debian-edu/students/share/applications/kwordquiz.desktop \
	share/debian-edu/students/share/applications/oocalc.desktop \
	share/debian-edu/students/share/applications/ooimpress.desktop \
	share/debian-edu/students/share/applications/oowriter.desktop  \
	share/debian-edu/root/share/apps/kdesktop/Desktop/tjener.desktop

all:
	$(MAKE) -C www

install: install-testsuite
	install -d $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sbindir)
	install -d $(DESTDIR)$(sysconfdir) $(DESTDIR)$(sysconfdir)/cups
	install -d $(DESTDIR)$(ldapdir)
	install -d $(DESTDIR)$(dhcpdir)
	install -d $(DESTDIR)$(mailcapdir)

# program's manpages are autodetected. 
	set -e ; for prog in $(PROGS); do \
		$(INSTALL) bin/$$prog $(DESTDIR)$(bindir) ; \
		if [ -e "share/man/man1/$$prog.1" ]; \
		then \
		$(INSTALL_DATA) "share/man/man1/$$prog.1" $(DESTDIR)$(mandir)/man1/$$sprog.1 ; \
		fi \
	done
# Using manpages autodetection : 
	set -e ; for sprog in $(SPROGS); do \
		$(INSTALL) sbin/$$sprog $(DESTDIR)$(sbindir) ; \
		if [ -e "share/man/man8/$$sprog.8" ]; \
		then \
		$(INSTALL_DATA) "share/man/man8/$$sprog.8" $(DESTDIR)$(mandir)/man8/$$sprog.8 ; \
		fi \
	done

	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README

# Samba roaming profile examples in different languages
	set -e ; for l in en de nb; do \
	$(INSTALL_DATA) doc/examples/smb-roaming-profiles-$$l.conf \
	$(DESTDIR)$(docdir)/examples/smb-roaming-profiles-$$l.conf ; \
	done

	set -e ; for cf in $(CFFILES); do \
		$(INSTALL_DATA) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
	done
	set -e ; for cf in $(CFBINFILES); do \
		$(INSTALL) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
	done

	set -e ; for file in $(SYSCONFFILES) ; do \
		$(INSTALL_DATA) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	mkdir -p $(DESTDIR)$(sysconfdir)/init.d
	set -e ; for file in $(SYSCONFSCRIPTS) ; do \
		$(INSTALL) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	set -e ; for file in $(LIBFILES) ; do \
		$(INSTALL_DATA) lib/$$file $(DESTDIR)$(libdir)/$$file; \
	done

	set -e ; for f in \
		share/debian-edu-config/d-i/finish-install \
		share/debian-edu-config/d-i/pre-pkgsel \
		share/debian-edu-config/tools/passwd \
		share/debian-edu-config/tools/cups-queue-autoflush \
		share/debian-edu-config/tools/cups-queue-autoreenable \
		share/debian-edu-config/tools/debian-edu-winbind \
		share/debian-edu-config/tools/get-default-homepage \
		share/debian-edu-config/tools/gosa-create \
		share/debian-edu-config/tools/gosa-create-host \
		share/debian-edu-config/tools/gosa-remove \
		share/debian-edu-config/tools/gosa-sync \
		share/debian-edu-config/tools/gosa-sync-dns-nfs \
		share/debian-edu-config/tools/iceweasel-plugin-support \
		share/debian-edu-config/tools/kerberos-kdc-init \
		share/debian-edu-config/tools/ldap-user-clean-attic.sh \
		share/debian-edu-config/tools/ldapdump.sh \
		share/debian-edu-config/tools/locate-syslog-collector \
		share/debian-edu-config/tools/logoutkill.sh \
		share/debian-edu-config/tools/missing-desktop-file \
		share/debian-edu-config/tools/movehome \
		share/debian-edu-config/tools/nbdquery \
		share/debian-edu-config/tools/nbdswap-cleanup \
		share/debian-edu-config/tools/nightkill.sh \
		share/debian-edu-config/tools/notify-local-users \
		share/debian-edu-config/tools/pipegraph \
		share/debian-edu-config/tools/preseed-ldap-kerberos \
		share/debian-edu-config/tools/preseed-sitesummary \
		share/debian-edu-config/tools/pxe-addfirmware \
		share/debian-edu-config/tools/qemu-test-network \
		share/debian-edu-config/tools/run-at-firstboot \
		share/debian-edu-config/tools/setup-roaming \
		share/debian-edu-config/tools/show-welcome-webpage \
		share/debian-edu-config/tools/sssd-generate-config \
		share/debian-edu-config/tools/squid-update-cachedir \
		share/debian-edu-config/tools/subnet-change \
		share/debian-edu-config/tools/update-iceweasel-homepage \
		share/debian-edu-config/tools/update-proxy-from-wpad \
		share/debian-edu-config/tools/wpad-extract \
		share/debian-edu-config/ltsp_set_runlevel \

=== www/Makefile ===
#
# To migrate one of the existing HTML based translations to .po based
# translation, make sure this command work:
#   po4a-gettextize -M UTF-8 -f xhtml -m index.html.en -L UTF-8 -l index.html.XX -p XX.po
# For this to work, the index.html.XX need to be valid XHTML, and have the same structure
# as the english original.  xmllint can be used to find XML errors.

WEBPAGES = \
  index.html.de \
  index.html.en \
  index.html.ca \
  index.html.es \
  index.html.nl \
  index.html.nb \
  index.html.fr \
  index.html.it \
  index.html.pt \
  index.html.ru \
  index.html.zh 

all: $(WEBPAGES)

$(WEBPAGES): %.po

%.po: index.html.en
	po4a po4a.cfg

stats:
	@echo "www translations"
	@for f in *.po; do printf "  $$f: " ; msgfmt --statistics -o /dev/null $$f; done
	@echo "debconf translations"
	@cd ../debian/po; for f in *.po; do printf "  $$f: " ; msgfmt --statistics -o /dev/null $$f; done

clean:

=== debian/changelog ===
debian-edu-config (1.448) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Add forgotten script /usr/share/debian-edu-config/tools/pxe-
    add firmware to the binary package.  Make script more robust.
    Thanks to Wolfgang Schweer for discovering the problems and
    proposing fixes.
  * Move the code inserted by cfengine into the network-manager
    dispatcher.d hook into its own file, to avoid upgrade problem.
    The code is used to update the hostname from DNS.  Add code in
    postinst to remove the now obsolete conffile
    /etc/cfengine/debian-edu/cf.network-manager during upgrades.
  * Move pre-pkgsel and finish-install code to adjust tasksel and set
    up network from debian-edu-install to debian-edu-config, to make
    it easier to change the network configuration, avoid problems with
    updating the PXE installation and bringing all related
    configuration into the debian-edu-config package.  Add breaks
    debian-edu-install (<< 1.521) to ensure a new version of the
    debian-edu-install package is used.
  * Make sure finish-install script do not exit too early if the
    entropy gathering job has exited early.
  * Change default gateway from 10.0.2.1 to 10.0.0.1 and update
    DNS A and PTR records to reflect this.
  * Add GOsa netdevices object for the default gateway to make it
    easier to change its DNS entry from GOsa.
  * Enable our menu overrides on standalone installations by adding
    MENUREORDER=true in /etc/debian-edu/config.
  * Extend the dynamic DHCP range on the thin client network from 200-
    253 to 20-243, to handle more thin clients without any
    configuration.
  * Remove redundant and non-changable loopbacknet ipNetwork from
    LDAP.  It is already in /etc/network, and hardwired in the
    kernel.
  * Add empty directory /etc/skel/.local/share in package as a
    workaround for kdelibs bug #655243.
  * Get rid of hardcoded IP addresses in CUPS configuration.  Use @LOCAL
    instead of 10.0.0.0/8 and tjener instead of 10.0.2.2, to make it
    easier to change IP setup.
  * Extend the dynamic DHCP range on the backbone network from
    10.0.2.100-10.0.3.242 to 10.0.16.20-10.0.31.254  (aka 10.0.16.0/20),
    to handle more clients without any changes to the configuration.
    This allow around 4k clients to get IP addresses out of the box.
  * Add new netgroup cups-queue-autoreenable-hosts used to re-enable
    stopped CUPS print queues every hour for the members of that
    group.  Uses new tool cups-queue-autoreenable.  Make tjener a
    member by default.
  * Add new netgroup cups-queue-autoflush-hosts used to get CUPS
    servers to flush the queue every night.  Uses new tool
    cups-queue-autoflush to call 'cancel -a'.  Enable this on the
    Main-server by default.
  * Purge network-manager in the LTSP chroot, now that bug
    #592479 is fixed.
  * Updated sitesummary2ldapdhcp:
    - Use the new LDAP subtree for DHCP objects.  Report error and
      continue when failing to create DHCP object.  Teach it to create
      GOsa server objects for new hosts.
    - Adjust it to search for its LDAP administrator objects instead
      of hardcoding the DN, and allow any admin user to be used.
    - Change it to only update by default, and to add new server
      objects when -a is used.
  * Add nb translation for the gosa-netgroups module.
  * Network blocking / exam mode:
    - Rewrite debian-edu-update-netblock to set new rules using
      iptables-restore to do this as an atomic operation to get it
      working on LTSP clients.
    - Add netgroup netblock-hosts in LDAP to list machines that should
      activate the network blocking and file group nonetblk used by
      debian-edu-update-netblock to exclude selected users from
      network blocking.
    - Add cron job to consult LDAP every 5 minutes to see if network
      blocking should be enabled or not.
    - Add /sbin to PATH in debian-edu-update-netblock to get the
      script working from cron.
    - Allow system users nslcd, openldap, xrdp, www-data, avahi,
      dovecot, statd and daemon full Internet access also when network
      blocking is in effect, to make sure system services keep working
      as they should.
  * Add --previous to msgmerge call in www/Makefile to keep previous
    strings when updating tranlations.  Patch from David Prévot.
  * Rewrite build rule for the welcome page to use po4a
    (Closes: #655516).  Patch from David Prévot.
  * Remove obsolete script /usr/share/debian-edu-config/tools/ldap-users.pl.
  * Make sure all sambaSIDs are bootstrapped using $SAMBASID and fix
    typo causing duplicate sambaSid.
  * Add backup testsuite test to detect bug #626884.
  * Remove closing of file descriptors when starting bind from
    ldap-debian-edu-install which was introduced to try to solve the
    problem before we understood the entropy hang.
  * Adjust www/index.html.en to become valid XHTML.  Patch from
    David Prévot.
  * Migrate 'localadmin' user from /etc/passwd to the first LDAP user.
    Make first LDAP user a member of the teachers group to enable the
    KDE menu overrides.  If user-setup-udeb ask for information on the
    first user on the Main-Server installs, use this information when
    setting it up the first LDAP user instead of using 'localadmin' as
    the username.
  * Add new pwdchange.desktop KDE menu option for networked profiles
    to make it easier for users to figure out where to change the
    password (Closes: #653912).  Include many translations for the
    password changing menu entry using patch from Wolfgang Schweer.
  * Add workaround for #656309 in libpam-krb5 by replacing
    /usr/share/pam-configs/krb5 with our own version, to get passwd
    and all tools using it to change the kerberos password.  Using PAM
    to change the password do not change the LDAP and Samba passwords,
    and should in general be avoided.  Call 'pam-auth-update
    --package' after updating /usr/share/pam-configs/ to activate the
    change.


=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: extra
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Finn-Arne Johansen <faj@bzz.no>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Klaus Ade Johnstad <klaus@skolelinux.no>, Patrick Winnertz <winnie@debian.org>, Vagrant Cascadian <vagrant@debian.org>, Andreas B. Mundt <andi.mundt@web.de>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: po-debconf, po4a
Homepage: http://www.skolelinux.org
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-edu/trunk/src/debian-edu-config/
Vcs-Svn: svn://svn.debian.org/debian-edu/trunk/src/debian-edu-config/
XS-DM-Upload-Allowed: yes

Package: debian-edu-config
Architecture: all
Depends: ${misc:Depends}, debconf-utils, cfengine2, libconfig-inifiles-perl, mime-support, libnet-ldap-perl, ng-utils, host, desktop-profiles, lsb-base, ssl-cert, openssl, libfilesys-df-perl, libtext-unaccent-perl, libhtml-fromtext-perl, libio-socket-ssl-perl, discover, tftp | tftp-hpa, debian-edu-artwork, education-tasks (>= 0.842~svn60380), net-tools, patch, libjavascript-perl, base-files (>= 5.3), python-notify, libterm-readkey-perl, fping, ldap-utils, libnet-netmask-perl, smbldap-tools
Recommends: resolvconf, ddccontrol | xresprobe, syslinux, memtest86+, libnotify-bin, lsof
Suggests: atftpd | tftpd-hpa
Breaks: nslcd (<< 0.7.7), dhcp3-client (<< 4.1.1-P1-9), dhcp3-server (<< 4.1.1-P1-9), slapd (<< 2.4.23-5), debian-edu-install (<< 1.521~svn74617)
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.

Package: debian-edu-config-gosa-netgroups
Architecture: all
Depends: ${misc:Depends}, gosa
Conflicts: gosa (>= 2.7)
Description: netgroups plugin for GOsa²
 NIS Netgroups plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=debian-edu-config

DESTDIR=`pwd`/debian/debian-edu-config

build:
	$(checkdir)

	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	$(MAKE) clean
	dh_clean

binary-arch: 

binary-indep: checkroot build
	$(checkdir)
	dh_testdir
	dh_testroot
	install -d $(DESTDIR)
	cd $(DESTDIR) && install -d `cat ../dirs`
	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)
	dh_install --exclude=.svn
	dh_installdebconf
	dh_installdocs
	dh_installdirs
	dh_installcron
	# Start it after 15bind9 and 19slapd
	dh_installinit --init-script fetch-ldap-cert -r --no-start -u"start 95 2 3 4 5 ."
	# Start it after 15bind9, 19slapd and 95fetch-ldap-cert, and add some to be sure
	dh_installinit --init-script iceweasel-ldapconf -r --no-start -u"start 96 2 3 4 5 ."
	dh_installinit --init-script enable-nat --no-start
	dh_installinit --init-script start-wlan --no-start
	dh_installinit --init-script report-reboot -r --no-start -u"start 20 2 3 4 5 ."
	dh_installchangelogs
	#dh_link /usr/share/debian-edu-config/tools/ldapdump.sh /etc/slbackup/pre.d/ldapdump.sh
	#dh_link /etc/apache2/mods-available/userdir.load /etc/apache2/mods-available/debian-edu-userdir.load
	dh_link
	dh_gencontrol
	dh_gconf  --priority=50
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## debian-edu-config 1.453

=== Makefile ===
--- 
+++ 
@@ -180,6 +180,7 @@
 	shutdown-at-night/clients-generator \
 	resolvconf/update.d/bind-debian-edu \
 	resolvconf/update.d/ltsp-chroots \
+	wicd/scripts/preconnect/set_wireless_mac_from_eth0 \
 	X11/Xsession-debian-edu \
 	samba/smbaddclient.sh \
 	samba/smbldap-machineadd-gosa
@@ -207,6 +208,7 @@
 LDIFS = \
 	root.ldif \
 	autofs.ldif \
+	firstuser.ldif \
 	ipnetworks.ldif \
 	netgroup.ldif \
 	samba.ldif \
@@ -234,6 +236,7 @@
 	index.html.es \
 	index.html.fr \
 	index.html.it \
+	index.html.ja \
 	index.html.nb \
 	index.html.nl \
 	index.html.pt \
@@ -333,6 +336,7 @@
 	set -e ; for f in \
 		share/debian-edu-config/d-i/finish-install \
 		share/debian-edu-config/d-i/pre-pkgsel \
+		share/debian-edu-config/tools/auto-addfirmware \
 		share/debian-edu-config/tools/passwd \
 		share/debian-edu-config/tools/cups-queue-autoflush \
 		share/debian-edu-config/tools/cups-queue-autoreenable \
@@ -345,10 +349,12 @@
 		share/debian-edu-config/tools/gosa-sync-dns-nfs \
 		share/debian-edu-config/tools/iceweasel-plugin-support \
 		share/debian-edu-config/tools/kerberos-kdc-init \
+		share/debian-edu-config/tools/ldap2bind-updatezonelist \
 		share/debian-edu-config/tools/ldap-user-clean-attic.sh \
 		share/debian-edu-config/tools/ldapdump.sh \
 		share/debian-edu-config/tools/locate-syslog-collector \
 		share/debian-edu-config/tools/logoutkill.sh \
+		share/debian-edu-config/tools/ltsp-addfirmware \
 		share/debian-edu-config/tools/missing-desktop-file \
 		share/debian-edu-config/tools/movehome \
 		share/debian-edu-config/tools/nbdquery \
@@ -365,8 +371,3 @@
 		share/debian-edu-config/tools/show-welcome-webpage \
 		share/debian-edu-config/tools/sssd-generate-config \
 		share/debian-edu-config/tools/squid-update-cachedir \
-		share/debian-edu-config/tools/subnet-change \
-		share/debian-edu-config/tools/update-iceweasel-homepage \
-		share/debian-edu-config/tools/update-proxy-from-wpad \
-		share/debian-edu-config/tools/wpad-extract \
-		share/debian-edu-config/ltsp_set_runlevel \

=== www/Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
   index.html.nb \
   index.html.fr \
   index.html.it \
+  index.html.ja \
   index.html.pt \
   index.html.ru \
   index.html.zh

=== debian/changelog ===
debian-edu-config (1.453) unstable; urgency=low

  * Team upload.

  [ David Prévot ]
  * Fix missing last entries in PXE boot menu. (Closes: #661392)
  * Fix typo in web page (spotted by Nigel Barker).

  [ Petter Reinholdtsen ]
  * Make sure ltspfs-mounter-kde do nothing when using Gnome, and make
    it more robust.
  * Update debian-edu-pxeinstall, use ln -sf when updating d-i image
    symlinks to make it possible to run the script again to update the
    PXE setup.

  [ Mike Gabriel ]
  * Fix Samba domain logon script for teachers. Also map Windows drives
    provided in netlogon/config/standarddrives-teachers.bat.

  * Translation updates:
    - Updates for German web page from Wolfgang Schweer.
    - Updates for Portuguese web page from André Lasfargues. (Closes:
      #661612)
    - Add Japanese web page from Nigel Barker.

 -- Holger Levsen <holger@debian.org>  Sat, 03 Mar 2012 12:32:15 +0100

debian-edu-config (1.452) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Make sure to syslog when ldapdump.sh is starting and stopping slapd,
    to make it easier to figure out what caused it if slapd fail to
    start.  Related to bug #659667.
  * Add locking in ldapdump.sh using lockfile-progs, to make sure only
    one such process is running at a given time (Solves Skolelinux
    bug #1213).
  * Make sure ldapdump.sh try 5 times to stop and start slapd, to reduce the
    chance of ending up without an LDAP server (Closes: #659667).
  * Log when setting up network interface, to try to figure out why it
    sometime is wrong.
  * Increase timeout for the ltspfs mount notification to 5 seconds, to
    give the user more time to read it.  Patch from Wolfgang Schweer.
  * Add new script /usr/share/debian-edu-config/ltspfs-mounter-kde
    which can be symlinked into /etc/ltspfs/mounter.d/ for those that
    want to load the freshly mounted LTSPFS directory into dolphin.
    Based on code from Wolfgang Schweer.

  * Translation updates:
    - Updates for Chinese web page from Andrew Lee.
    - Fix lang tag for Chinese, Norwegian and Portuguese.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 23 Feb 2012 13:27:01 +0100

debian-edu-config (1.451) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Remove no longer active developers Finn-Arne Johansen, Morten Werner
    Forsbring, Steffen Joeris and Klaus Ade Johnstad from uploaders
    list.
  * Add depend on ${python:Depends} for
    /etc/ltspfs/mounter.d/edu-notify, build-depend on python-support
    and add dh_pysupport to rules to get it working.  Thank you
    lintian for discovering this.
  * Fix typo in gosa-create, make sure #! is first on the first line.
    Thank you lintian for discovering the problem.
  * Improve first-user related debconf template text and flag them
    as only for internal use, to keep lintian happy.
  * Mention which arguments for subnet-change are autodetected.
  * Make sure cups-queue-autoreenable talk to CUPS using the loopback
    interface to be allowed to re-enable print queues, and improve error
    reporting if cupsenable fail.
  * Make sure cups-queue-autoflush talk to CUPS using the loopback
    interface to be allowed to flush all print queues.
  * Rewrite sitesummary2ldapdhcp to create GOsa netdevices instead of
    servers, to make sure the objects can be removed.
  * Adjust sitesummary2ldapdhcp to not create new LDAP objects if a
    object with the same MAC address alrady exist.

  [ Mike Gabriel ]
  * Set copyPaste flag to true in /etc/gosa/gosa.conf.

  * Translation updates:
    - Updates for French web page from David Prévot.
    - Updates for Spanish web page from Hector Oron.
    - Updates for Catalan web page from Hector Oron.
    - Fixed orthographic error in spanish web page from José L. Redrejo
      Rodríguez.
    - Fix typo in German web page from Holger Levsen.

 -- Holger Levsen <holger@debian.org>  Sat, 11 Feb 2012 21:59:19 +0100

debian-edu-config (1.450) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Document that debian-edu-munin-node.conf need to change when using
    subnet-change.
  * Move libjavascript-perl from depends to recommends, to see if it still
    is installed and to get our packages to propagate to wheezy while we
    figure out a solution for #631045.
  * Raise versioned dependency on education-tasks from (>= 0.842~svn60380)
    (>= 0.853), to ensure we get the current one and detect when only the
    old version is available.

  * Translation updates:
    - Updates Indonesian debconf translation from Kurniawan Haikal (Closes: #658563).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 05 Feb 2012 13:36:01 +0100

debian-edu-config (1.449) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Remove obsolete mimelnk/applnk/msword.desktop file, as Squeeze
    handle doc files just fine without it.
  * Change password hash for the 'admin' LDAP user from {CRYPT} to
    {SSHA}, to get a hash type understood by GOsa and allow the
    password to be changed from within GOsa.  Both work with LDAP
    bind.
  * Add new tool auto-addfirmware to automatically detect firmware
    needed by kernel modules and install them from non-free.
  * Add new tool ltsp-addfirmware to make it easier to add required
    firmware to the LTSP initrd.  Based on code from Wolfgang Schweer.
  * In kerberos-kdc-init, give slapd 5 seconds to start to make sure
    slapd is operational when kerberos try to talk to it.
  * Make sure all gosa hook scripts syslog with the script name in the
    syslog tag.
  * Make sure the output from kadmin.local in gosa-sync is syslogged
    when changing password, to make it possible to figure out why when
    it fail.
  * Rewrite gosa-sync to avoid exposing the new password in the process
    list for every local user to see.
  * Disable workaround for #656309 in libpam-krb5 on Roaming
    Workstations, as they use libpam-sss and not libpam-krb5.
  * Re-enable cfengine rules for nslcd.conf and ldap.conf on Roaming


=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: extra
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Holger Levsen <holger@debian.org>, Patrick Winnertz <winnie@debian.org>, Vagrant Cascadian <vagrant@debian.org>, Andreas B. Mundt <andi.mundt@web.de>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7), python-support
Build-Depends-Indep: po-debconf, po4a
Homepage: http://www.skolelinux.org
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-edu/trunk/src/debian-edu-config/
Vcs-Svn: svn://svn.debian.org/debian-edu/trunk/src/debian-edu-config/
XS-DM-Upload-Allowed: yes

Package: debian-edu-config
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, debconf-utils, cfengine2, libconfig-inifiles-perl, mime-support, libnet-ldap-perl, ng-utils, host, desktop-profiles, lsb-base, ssl-cert, openssl, libfilesys-df-perl, libtext-unaccent-perl, libhtml-fromtext-perl, libio-socket-ssl-perl, discover, tftp | tftp-hpa, debian-edu-artwork, education-tasks (>= 0.853), net-tools, patch, base-files (>= 5.3), python-notify, libterm-readkey-perl, fping, ldap-utils, libnet-netmask-perl, smbldap-tools, lockfile-progs
Recommends: resolvconf, ddccontrol | xresprobe, syslinux, memtest86+, libnotify-bin, lsof, libjavascript-perl
Suggests: atftpd | tftpd-hpa
Breaks: nslcd (<< 0.7.7), dhcp3-client (<< 4.1.1-P1-9), dhcp3-server (<< 4.1.1-P1-9), slapd (<< 2.4.23-5), debian-edu-install (<< 1.521~svn74617)
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.

Package: debian-edu-config-gosa-netgroups
Architecture: all
Depends: ${misc:Depends}, gosa
Conflicts: gosa (>= 2.7)
Description: netgroups plugin for GOsa²
 NIS Netgroups plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,7 @@
 	#dh_link /usr/share/debian-edu-config/tools/ldapdump.sh /etc/slbackup/pre.d/ldapdump.sh
 	#dh_link /etc/apache2/mods-available/userdir.load /etc/apache2/mods-available/debian-edu-userdir.load
 	dh_link
+	dh_pysupport
 	dh_gencontrol
 	dh_gconf  --priority=50
 	dh_strip

## debian-edu-config 1.702

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 PROGS = \
 	debian-edu-ldapserver \
+	debconf-set-selections-edu \
 	ltsp-arch-debian-edu \
 	update-ini-file
 
@@ -361,6 +362,7 @@
 		share/debian-edu-config/tools/nbdswap-cleanup \
 		share/debian-edu-config/tools/nightkill.sh \
 		share/debian-edu-config/tools/notify-local-users \
+		share/debian-edu-config/tools/password-fix-squeeze-r0 \
 		share/debian-edu-config/tools/pipegraph \
 		share/debian-edu-config/tools/preseed-ldap-kerberos \
 		share/debian-edu-config/tools/preseed-sitesummary \
@@ -369,5 +371,3 @@
 		share/debian-edu-config/tools/run-at-firstboot \
 		share/debian-edu-config/tools/setup-roaming \
 		share/debian-edu-config/tools/show-welcome-webpage \
-		share/debian-edu-config/tools/sssd-generate-config \
-		share/debian-edu-config/tools/squid-update-cachedir \

=== www/Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 # as the english original.  xmllint can be used to find XML errors.
 
 WEBPAGES = \
+  index.html.da \
   index.html.de \
   index.html.en \
   index.html.ca \

=== debian/changelog ===
debian-edu-config (1.702) unstable; urgency=low

  [ Mike Gabriel ]
  * In gosa-create script: Invalidate libnss cache before applying chown
    on new home directories. Fixes multiple failures during mass user
    import into GOsa².
  * password-fix-squeeze-r0: allow home[0-9] as home directory.
  * Fix smbaddclient.sh, use ,,set +e'' instead of non-bash-syntax
    ,,unset -e''.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 02 Dec 2012 12:20:39 +0100

debian-edu-config (1.701) unstable; urgency=low

  * Drop start-wlan initscript, which is disabled since 2007 and has seen it's
    last development in 2005. (Closes: #602621)
  * Drop report-reboot initscript which is disabled since years and which just
    duplicates (but not matches) logchecks functionality. (Closes: #602622)
  * Update README to refer to architecture design of Squeeze at least. 

 -- Holger Levsen <holger@debian.org>  Sat, 23 Jun 2012 00:52:18 +0200

debian-edu-config (1.700) unstable; urgency=medium

  * Bump version number to 1.700 to make obvious this is targeted for wheezy.
  * Drop debian-edu-config-gosa-netgroups package and make debian-edu-config
    replace it. (Closes: #662967)

 -- Holger Levsen <holger@debian.org>  Sun, 10 Jun 2012 15:37:14 +0200

debian-edu-config (1.454~svn77318) squeeze-test; urgency=low

  [ Petter Reinholdtsen ]
  * Fix typo in output from debian-edu-update-netblock.
  * Make sure to send output from debian-edu-update-netblock cron job
    to /dev/null, to avoid emails every 5 minutes.  Syslogging should
    be enough output from the cron job.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 11 Apr 2012 00:43:49 +0200

debian-edu-config (1.454~svn77208) squeeze-test; urgency=low

  [ Petter Reinholdtsen ]
  * Add new tool password-fix-squeeze-r0 to correct users with only
    two days password expiration time in Kerberos, cleaning up after
    bug #664596.
  * Change creation of first user to use the same Kerberos policy
    as all other users.
  * Make sure to quote handling of clear text passwords when setting
    up LDAP and Kerberos during installation, in case they include
    some shell special characters.  Partly solve #664976.
  * Add a copy of debconf-set-selections called
    debconf-set-selections-edu from debconf version 1.5.36.1 to fix
    #636219 and allow us to handle '#' characters in the root or first
    users password.
  * Use our own debconf-set-selections-edu when passing passwords from
    d-i to /target/, to make sure '#' is allowed in the passwords
    (Closes: #664976).
  * Fixes for gosa-sync (updating Kerberos password):
    - Make sure all variables are quoted, to make script more robust.
      Thanks to Steven Chamberlain for the suggestion.
    - Make sure script do not fail if the password contain the "
      character.  Based on patch from Samuel Krempp.  Partly fixes
      #665696.  The rest need to be fixed in the GOsa² code.
    - Stop syslogging the new passoword string when changing password
      in GOsa².

  [ David Prévot ]
  * index.html.en: Fix starting uppercase in language name (respect localized
    typographic rules).

  [ Wolfgang Schweer ]
  * tools/gosa-create: Fix email address for new user's welcome mail.
  * Correct Kerberos user policy, make sure to not expire password
    after 2 days, but instead use default [none] (Closes: #664596).

  * Translation updates:
    - Add Danish web page from Joe Hansen. (Closes: #664790)

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 27 Mar 2012 11:21:34 +0200

=== debian/control ===
--- 
+++ 
@@ -16,18 +16,10 @@
 Depends: ${misc:Depends}, ${python:Depends}, debconf-utils, cfengine2, libconfig-inifiles-perl, mime-support, libnet-ldap-perl, ng-utils, host, desktop-profiles, lsb-base, ssl-cert, openssl, libfilesys-df-perl, libtext-unaccent-perl, libhtml-fromtext-perl, libio-socket-ssl-perl, discover, tftp | tftp-hpa, debian-edu-artwork, education-tasks (>= 0.853), net-tools, patch, base-files (>= 5.3), python-notify, libterm-readkey-perl, fping, ldap-utils, libnet-netmask-perl, smbldap-tools, lockfile-progs
 Recommends: resolvconf, ddccontrol | xresprobe, syslinux, memtest86+, libnotify-bin, lsof, libjavascript-perl
 Suggests: atftpd | tftpd-hpa
-Breaks: nslcd (<< 0.7.7), dhcp3-client (<< 4.1.1-P1-9), dhcp3-server (<< 4.1.1-P1-9), slapd (<< 2.4.23-5), debian-edu-install (<< 1.521~svn74617)
+Breaks: nslcd (<< 0.7.7), dhcp3-client (<< 4.1.1-P1-9), dhcp3-server (<< 4.1.1-P1-9), slapd (<< 2.4.23-5), debian-edu-install (<< 1.521~svn74617), debian-edu-config-gosa-netgroups (<< 1.699)
+Replaces: debian-edu-config-gosa-netgroups (<< 1.699~)
+Provides: debian-edu-config-gosa-netgroups
 Description: Configuration files for Skolelinux systems
  Installs cfengine config files to be used by the machines set up as part
  of the Skolelinux project.
 
-Package: debian-edu-config-gosa-netgroups
-Architecture: all
-Depends: ${misc:Depends}, gosa
-Conflicts: gosa (>= 2.7)
-Description: netgroups plugin for GOsa²
- NIS Netgroups plugin.
- .
- GOsa² is a combination of system-administrator and end-user web
- interface, designed to handle LDAP based setups.
-

=== debian/rules ===
--- 
+++ 
@@ -37,8 +37,6 @@
 	# Start it after 15bind9, 19slapd and 95fetch-ldap-cert, and add some to be sure
 	dh_installinit --init-script iceweasel-ldapconf -r --no-start -u"start 96 2 3 4 5 ."
 	dh_installinit --init-script enable-nat --no-start
-	dh_installinit --init-script start-wlan --no-start
-	dh_installinit --init-script report-reboot -r --no-start -u"start 20 2 3 4 5 ."
 	dh_installchangelogs
 	#dh_link /usr/share/debian-edu-config/tools/ldapdump.sh /etc/slbackup/pre.d/ldapdump.sh
 	#dh_link /etc/apache2/mods-available/userdir.load /etc/apache2/mods-available/debian-edu-userdir.load
